using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.Psi.Model;
using skyscraper5.Mpeg2;
using skyscraper5.SimpliTV.Descriptors;
using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.PrivateDataSpecifiers.SimpliTV
{
	internal class BatHook : DescriptorPluginBatHandler
	{
		public void HandleBat(BatTransportStream outputTs, TsDescriptor unpackedDescriptor)
		{
			NorDigPrivateLogicalChannelDescriptor ndplcn = (NorDigPrivateLogicalChannelDescriptor)unpackedDescriptor;
			if (outputTs.LCNs == null)
				outputTs.LCNs = new List<BaseLcn>();
			outputTs.LCNs.AddRange(ndplcn.LogicalChannels);
		}
	}
}
